<template>
	<main class="mt-36">
		<h2 class="contents-title">Responsive Image (Resolution Switch)</h2>
		<nuxt-img src="/koala.jpg/" sizes="xs:100px sm:500px md:1010px" />
		<Code :codeText="resoSwitch" />
		<hr />
		<h2 class="contents-title">Responsive Image (Picture Tag)</h2>
		<nuxt-img
			src="/koala-family.jpg/"
			sizes="xs:100px sm:300px md:500px lg:1000px"
		/>
		<Code :codeText="pictureTag" />
		<hr />
		<h2 class="contents-title">Lazy Loading</h2>
		<nuxt-img
			v-for="index in 50"
			:key="index"
			loading="lazy"
			src="/koala.jpg/"
			sizes="xs:100px"
		/>
		<Code :codeText="lazyLoading" />
		<ContentFooter />
	</main>
</template>

<script>
export default {
	data() {
		return {
			resoSwitch: `<img srcset="assets/img/koala-100x100.jpg 100w,
             assets/img/koala-500x500.jpg 500w,
             assets/img/koala-1010x1010.jpg 1010w"
     sizes="(max-width: 28em) 100px,
            (max-width: 75em) 500px,
            1010px"
     src="assets/img/koala-100x100.jpg" alt="Koala Doll">`,
			pictureTag: `<picture>
    <source media="(min-width: 64em)" srcset="assets/img/koala-1200x754.jpg">
    <source media="(min-width: 28em)" srcset="assets/img/koala-600x377.jpg">
    <img src="assets/img/koala-290x290.jpg" alt="Mother and baby koala">
</picture>`,
			lazyLoading: `<img class="js-lazyload mb-4"
     src="data:image/gif;base64,R0lGODdhAQABAPAAAMPDwwAAACwAAAAAAQABAAACAkQBADs="
     data-src="http://lorempixel.com/80/100"
     width="80" height="100">`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
